Imported Upstream version 0.9.35
[platform/upstream/harfbuzz.git] / test / shaping / Makefile.in
1 # Makefile.in generated by automake 1.14 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Process this file with automake to produce Makefile.in
18 VPATH = @srcdir@
19 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
20 am__make_running_with_option = \
21   case $${target_option-} in \
22       ?) ;; \
23       *) echo "am__make_running_with_option: internal error: invalid" \
24               "target option '$${target_option-}' specified" >&2; \
25          exit 1;; \
26   esac; \
27   has_opt=no; \
28   sane_makeflags=$$MAKEFLAGS; \
29   if $(am__is_gnu_make); then \
30     sane_makeflags=$$MFLAGS; \
31   else \
32     case $$MAKEFLAGS in \
33       *\\[\ \   ]*) \
34         bs=\\; \
35         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
36           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
37     esac; \
38   fi; \
39   skip_next=no; \
40   strip_trailopt () \
41   { \
42     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
43   }; \
44   for flg in $$sane_makeflags; do \
45     test $$skip_next = yes && { skip_next=no; continue; }; \
46     case $$flg in \
47       *=*|--*) continue;; \
48         -*I) strip_trailopt 'I'; skip_next=yes;; \
49       -*I?*) strip_trailopt 'I';; \
50         -*O) strip_trailopt 'O'; skip_next=yes;; \
51       -*O?*) strip_trailopt 'O';; \
52         -*l) strip_trailopt 'l'; skip_next=yes;; \
53       -*l?*) strip_trailopt 'l';; \
54       -[dEDm]) skip_next=yes;; \
55       -[JT]) skip_next=yes;; \
56     esac; \
57     case $$flg in \
58       *$$target_option*) has_opt=yes; break;; \
59     esac; \
60   done; \
61   test $$has_opt = yes
62 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
63 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
64 pkgdatadir = $(datadir)/@PACKAGE@
65 pkgincludedir = $(includedir)/@PACKAGE@
66 pkglibdir = $(libdir)/@PACKAGE@
67 pkglibexecdir = $(libexecdir)/@PACKAGE@
68 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
69 install_sh_DATA = $(install_sh) -c -m 644
70 install_sh_PROGRAM = $(install_sh) -c
71 install_sh_SCRIPT = $(install_sh) -c
72 INSTALL_HEADER = $(INSTALL_DATA)
73 transform = $(program_transform_name)
74 NORMAL_INSTALL = :
75 PRE_INSTALL = :
76 POST_INSTALL = :
77 NORMAL_UNINSTALL = :
78 PRE_UNINSTALL = :
79 POST_UNINSTALL = :
80 build_triplet = @build@
81 host_triplet = @host@
82 TESTS = tests/arabic-fallback-shaping.tests \
83         tests/arabic-feature-order.tests tests/context-matching.tests \
84         tests/hangul-jamo.tests tests/indic-old-spec.tests \
85         tests/indic-pref-blocking.tests \
86         tests/mongolian-variation-selector.tests \
87         tests/zero-width-marks.tests $(am__EXEEXT_1)
88 subdir = test/shaping
89 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
90         $(top_srcdir)/test-driver
91 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
92 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_pthread.m4 \
93         $(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/libtool.m4 \
94         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
95         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
96         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/configure.ac
97 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
98         $(ACLOCAL_M4)
99 mkinstalldirs = $(install_sh) -d
100 CONFIG_HEADER = $(top_builddir)/config.h
101 CONFIG_CLEAN_FILES =
102 CONFIG_CLEAN_VPATH_FILES =
103 AM_V_P = $(am__v_P_@AM_V@)
104 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
105 am__v_P_0 = false
106 am__v_P_1 = :
107 AM_V_GEN = $(am__v_GEN_@AM_V@)
108 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
109 am__v_GEN_0 = @echo "  GEN     " $@;
110 am__v_GEN_1 = 
111 AM_V_at = $(am__v_at_@AM_V@)
112 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
113 am__v_at_0 = @
114 am__v_at_1 = 
115 SOURCES =
116 DIST_SOURCES =
117 am__can_run_installinfo = \
118   case $$AM_UPDATE_INFO_DIR in \
119     n|no|NO) false;; \
120     *) (install-info --version) >/dev/null 2>&1;; \
121   esac
122 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
123 am__tty_colors_dummy = \
124   mgn= red= grn= lgn= blu= brg= std=; \
125   am__color_tests=no
126 am__tty_colors = { \
127   $(am__tty_colors_dummy); \
128   if test "X$(AM_COLOR_TESTS)" = Xno; then \
129     am__color_tests=no; \
130   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
131     am__color_tests=yes; \
132   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
133     am__color_tests=yes; \
134   fi; \
135   if test $$am__color_tests = yes; then \
136     red='\e[0;31m'; \
137     grn='\e[0;32m'; \
138     lgn='\e[1;32m'; \
139     blu='\e[1;34m'; \
140     mgn='\e[0;35m'; \
141     brg='\e[1m'; \
142     std='\e[m'; \
143   fi; \
144 }
145 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
146 am__vpath_adj = case $$p in \
147     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
148     *) f=$$p;; \
149   esac;
150 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
151 am__install_max = 40
152 am__nobase_strip_setup = \
153   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
154 am__nobase_strip = \
155   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
156 am__nobase_list = $(am__nobase_strip_setup); \
157   for p in $$list; do echo "$$p $$p"; done | \
158   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
159   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
160     if (++n[$$2] == $(am__install_max)) \
161       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
162     END { for (dir in files) print dir, files[dir] }'
163 am__base_list = \
164   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
165   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
166 am__uninstall_files_from_dir = { \
167   test -z "$$files" \
168     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
169     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
170          $(am__cd) "$$dir" && rm -f $$files; }; \
171   }
172 am__recheck_rx = ^[     ]*:recheck:[    ]*
173 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
174 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
175 # A command that, given a newline-separated list of test names on the
176 # standard input, print the name of the tests that are to be re-run
177 # upon "make recheck".
178 am__list_recheck_tests = $(AWK) '{ \
179   recheck = 1; \
180   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
181     { \
182       if (rc < 0) \
183         { \
184           if ((getline line2 < ($$0 ".log")) < 0) \
185             recheck = 0; \
186           break; \
187         } \
188       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
189         { \
190           recheck = 0; \
191           break; \
192         } \
193       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
194         { \
195           break; \
196         } \
197     }; \
198   if (recheck) \
199     print $$0; \
200   close ($$0 ".trs"); \
201   close ($$0 ".log"); \
202 }'
203 # A command that, given a newline-separated list of test names on the
204 # standard input, create the global log from their .trs and .log files.
205 am__create_global_log = $(AWK) ' \
206 function fatal(msg) \
207 { \
208   print "fatal: making $@: " msg | "cat >&2"; \
209   exit 1; \
210 } \
211 function rst_section(header) \
212 { \
213   print header; \
214   len = length(header); \
215   for (i = 1; i <= len; i = i + 1) \
216     printf "="; \
217   printf "\n\n"; \
218 } \
219 { \
220   copy_in_global_log = 1; \
221   global_test_result = "RUN"; \
222   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
223     { \
224       if (rc < 0) \
225          fatal("failed to read from " $$0 ".trs"); \
226       if (line ~ /$(am__global_test_result_rx)/) \
227         { \
228           sub("$(am__global_test_result_rx)", "", line); \
229           sub("[        ]*$$", "", line); \
230           global_test_result = line; \
231         } \
232       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
233         copy_in_global_log = 0; \
234     }; \
235   if (copy_in_global_log) \
236     { \
237       rst_section(global_test_result ": " $$0); \
238       while ((rc = (getline line < ($$0 ".log"))) != 0) \
239       { \
240         if (rc < 0) \
241           fatal("failed to read from " $$0 ".log"); \
242         print line; \
243       }; \
244       printf "\n"; \
245     }; \
246   close ($$0 ".trs"); \
247   close ($$0 ".log"); \
248 }'
249 # Restructured Text title.
250 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
251 # Solaris 10 'make', and several other traditional 'make' implementations,
252 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
253 # by disabling -e (using the XSI extension "set +e") if it's set.
254 am__sh_e_setup = case $$- in *e*) set +e;; esac
255 # Default flags passed to test drivers.
256 am__common_driver_flags = \
257   --color-tests "$$am__color_tests" \
258   --enable-hard-errors "$$am__enable_hard_errors" \
259   --expect-failure "$$am__expect_failure"
260 # To be inserted before the command running the test.  Creates the
261 # directory for the log if needed.  Stores in $dir the directory
262 # containing $f, in $tst the test, in $log the log.  Executes the
263 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
264 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
265 # will run the test scripts (or their associated LOG_COMPILER, if
266 # thy have one).
267 am__check_pre = \
268 $(am__sh_e_setup);                                      \
269 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
270 $(am__tty_colors);                                      \
271 srcdir=$(srcdir); export srcdir;                        \
272 case "$@" in                                            \
273   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
274     *) am__odir=.;;                                     \
275 esac;                                                   \
276 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
277   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
278 if test -f "./$$f"; then dir=./;                        \
279 elif test -f "$$f"; then dir=;                          \
280 else dir="$(srcdir)/"; fi;                              \
281 tst=$$dir$$f; log='$@';                                 \
282 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
283   am__enable_hard_errors=no;                            \
284 else                                                    \
285   am__enable_hard_errors=yes;                           \
286 fi;                                                     \
287 case " $(XFAIL_TESTS) " in                              \
288   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
289     am__expect_failure=yes;;                            \
290   *)                                                    \
291     am__expect_failure=no;;                             \
292 esac;                                                   \
293 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
294 # A shell command to get the names of the tests scripts with any registered
295 # extension removed (i.e., equivalently, the names of the test logs, with
296 # the '.log' extension removed).  The result is saved in the shell variable
297 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
298 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
299 # since that might cause problem with VPATH rewrites for suffix-less tests.
300 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
301 am__set_TESTS_bases = \
302   bases='$(TEST_LOGS)'; \
303   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
304   bases=`echo $$bases`
305 RECHECK_LOGS = $(TEST_LOGS)
306 AM_RECURSIVE_TARGETS = check recheck
307 am__EXEEXT_1 =
308 TEST_SUITE_LOG = test-suite.log
309 am__test_logs1 = $(TESTS:=.log)
310 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
311 TEST_LOGS = $(am__test_logs2:.tests.log=.log)
312 TESTS_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
313 TESTS_LOG_COMPILE = $(TESTS_LOG_COMPILER) $(AM_TESTS_LOG_FLAGS) \
314         $(TESTS_LOG_FLAGS)
315 am__set_b = \
316   case '$@' in \
317     */*) \
318       case '$*' in \
319         */*) b='$*';; \
320           *) b=`echo '$@' | sed 's/\.log$$//'`; \
321        esac;; \
322     *) \
323       b='$*';; \
324   esac
325 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
326 ACLOCAL = @ACLOCAL@
327 AMTAR = @AMTAR@
328 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
329 AR = @AR@
330 AUTOCONF = @AUTOCONF@
331 AUTOHEADER = @AUTOHEADER@
332 AUTOMAKE = @AUTOMAKE@
333 AWK = @AWK@
334 CAIRO_CFLAGS = @CAIRO_CFLAGS@
335 CAIRO_FT_CFLAGS = @CAIRO_FT_CFLAGS@
336 CAIRO_FT_LIBS = @CAIRO_FT_LIBS@
337 CAIRO_LIBS = @CAIRO_LIBS@
338 CC = @CC@
339 CCDEPMODE = @CCDEPMODE@
340 CFLAGS = @CFLAGS@
341 CORETEXT_CFLAGS = @CORETEXT_CFLAGS@
342 CORETEXT_LIBS = @CORETEXT_LIBS@
343 CPP = @CPP@
344 CPPFLAGS = @CPPFLAGS@
345 CXX = @CXX@
346 CXXCPP = @CXXCPP@
347 CXXDEPMODE = @CXXDEPMODE@
348 CXXFLAGS = @CXXFLAGS@
349 CYGPATH_W = @CYGPATH_W@
350 DEFS = @DEFS@
351 DEPDIR = @DEPDIR@
352 DLLTOOL = @DLLTOOL@
353 DSYMUTIL = @DSYMUTIL@
354 DUMPBIN = @DUMPBIN@
355 ECHO_C = @ECHO_C@
356 ECHO_N = @ECHO_N@
357 ECHO_T = @ECHO_T@
358 EGREP = @EGREP@
359 EXEEXT = @EXEEXT@
360 FGREP = @FGREP@
361 FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
362 FREETYPE_LIBS = @FREETYPE_LIBS@
363 GIT = @GIT@
364 GLIB_CFLAGS = @GLIB_CFLAGS@
365 GLIB_LIBS = @GLIB_LIBS@
366 GLIB_MKENUMS = @GLIB_MKENUMS@
367 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
368 GOBJECT_LIBS = @GOBJECT_LIBS@
369 GRAPHITE2_CFLAGS = @GRAPHITE2_CFLAGS@
370 GRAPHITE2_LIBS = @GRAPHITE2_LIBS@
371 GREP = @GREP@
372 GTKDOC_CHECK = @GTKDOC_CHECK@
373 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
374 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
375 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
376 GTKDOC_MKPDF = @GTKDOC_MKPDF@
377 GTKDOC_REBASE = @GTKDOC_REBASE@
378 HB_LIBTOOL_VERSION_INFO = @HB_LIBTOOL_VERSION_INFO@
379 HB_VERSION = @HB_VERSION@
380 HB_VERSION_MAJOR = @HB_VERSION_MAJOR@
381 HB_VERSION_MICRO = @HB_VERSION_MICRO@
382 HB_VERSION_MINOR = @HB_VERSION_MINOR@
383 HTML_DIR = @HTML_DIR@
384 ICU_CFLAGS = @ICU_CFLAGS@
385 ICU_CONFIG = @ICU_CONFIG@
386 ICU_LIBS = @ICU_LIBS@
387 INSTALL = @INSTALL@
388 INSTALL_DATA = @INSTALL_DATA@
389 INSTALL_PROGRAM = @INSTALL_PROGRAM@
390 INSTALL_SCRIPT = @INSTALL_SCRIPT@
391 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
392 INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
393 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
394 INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
395 INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
396 INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
397 INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
398 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
399 INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
400 LD = @LD@
401 LDFLAGS = @LDFLAGS@
402 LIBOBJS = @LIBOBJS@
403 LIBS = @LIBS@
404 LIBTOOL = @LIBTOOL@
405 LIPO = @LIPO@
406 LN_S = @LN_S@
407 LTLIBOBJS = @LTLIBOBJS@
408 MAKEINFO = @MAKEINFO@
409 MANIFEST_TOOL = @MANIFEST_TOOL@
410 MKDIR_P = @MKDIR_P@
411 NM = @NM@
412 NMEDIT = @NMEDIT@
413 OBJDUMP = @OBJDUMP@
414 OBJEXT = @OBJEXT@
415 OTOOL = @OTOOL@
416 OTOOL64 = @OTOOL64@
417 PACKAGE = @PACKAGE@
418 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
419 PACKAGE_NAME = @PACKAGE_NAME@
420 PACKAGE_STRING = @PACKAGE_STRING@
421 PACKAGE_TARNAME = @PACKAGE_TARNAME@
422 PACKAGE_URL = @PACKAGE_URL@
423 PACKAGE_VERSION = @PACKAGE_VERSION@
424 PATH_SEPARATOR = @PATH_SEPARATOR@
425 PKG_CONFIG = @PKG_CONFIG@
426 PTHREAD_CC = @PTHREAD_CC@
427 PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
428 PTHREAD_LIBS = @PTHREAD_LIBS@
429 RAGEL = @RAGEL@
430 RANLIB = @RANLIB@
431 SED = @SED@
432 SET_MAKE = @SET_MAKE@
433 SHELL = @SHELL@
434 STRIP = @STRIP@
435 UNISCRIBE_CFLAGS = @UNISCRIBE_CFLAGS@
436 UNISCRIBE_LIBS = @UNISCRIBE_LIBS@
437 VERSION = @VERSION@
438 abs_builddir = @abs_builddir@
439 abs_srcdir = @abs_srcdir@
440 abs_top_builddir = @abs_top_builddir@
441 abs_top_srcdir = @abs_top_srcdir@
442 ac_ct_AR = @ac_ct_AR@
443 ac_ct_CC = @ac_ct_CC@
444 ac_ct_CXX = @ac_ct_CXX@
445 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
446 am__include = @am__include@
447 am__leading_dot = @am__leading_dot@
448 am__quote = @am__quote@
449 am__tar = @am__tar@
450 am__untar = @am__untar@
451 ax_pthread_config = @ax_pthread_config@
452 bindir = @bindir@
453 build = @build@
454 build_alias = @build_alias@
455 build_cpu = @build_cpu@
456 build_os = @build_os@
457 build_vendor = @build_vendor@
458 builddir = @builddir@
459 datadir = @datadir@
460 datarootdir = @datarootdir@
461 docdir = @docdir@
462 dvidir = @dvidir@
463 exec_prefix = @exec_prefix@
464 host = @host@
465 host_alias = @host_alias@
466 host_cpu = @host_cpu@
467 host_os = @host_os@
468 host_vendor = @host_vendor@
469 htmldir = @htmldir@
470 includedir = @includedir@
471 infodir = @infodir@
472 install_sh = @install_sh@
473 libdir = @libdir@
474 libexecdir = @libexecdir@
475 localedir = @localedir@
476 localstatedir = @localstatedir@
477 mandir = @mandir@
478 mkdir_p = @mkdir_p@
479 oldincludedir = @oldincludedir@
480 pdfdir = @pdfdir@
481 prefix = @prefix@
482 program_transform_name = @program_transform_name@
483 psdir = @psdir@
484 sbindir = @sbindir@
485 sharedstatedir = @sharedstatedir@
486 srcdir = @srcdir@
487 sysconfdir = @sysconfdir@
488 target_alias = @target_alias@
489 top_build_prefix = @top_build_prefix@
490 top_builddir = @top_builddir@
491 top_srcdir = @top_srcdir@
492 NULL = 
493
494 # TODO Figure out Python stuff
495 EXTRA_DIST = hb-diff hb-diff-colorize hb-diff-filter-failures \
496         hb-diff-ngrams hb-diff-stat hb-manifest-read \
497         hb-manifest-update hb-unicode-decode hb-unicode-encode \
498         hb-unicode-prettyname record-test.sh run-tests.sh \
499         texts/in-tree fonts/sha1sum $(TESTS) $(NULL) hb_test_tools.py \
500         $(NULL)
501 CLEANFILES = hb_test_tools.py[co] $(NULL)
502 DISTCLEANFILES = 
503 MAINTAINERCLEANFILES = 
504 TEST_EXTENSIONS = \
505         .tests \
506         $(NULL)
507
508 AM_TESTS_ENVIRONMENT = \
509         EXEEXT="$(EXEEXT)"; \
510         export EXEEXT; \
511         srcdir="$(srcdir)"; \
512         export srcdir; \
513         builddir="$(builddir)"; \
514         export builddir; \
515         $(NULL)
516
517 @AUTOMAKE_OLDER_THAN_1_13_TRUE@TESTS_ENVIRONMENT = \
518 @AUTOMAKE_OLDER_THAN_1_13_TRUE@ $(AM_TESTS_ENVIRONMENT) \
519 @AUTOMAKE_OLDER_THAN_1_13_TRUE@ $(TESTS_LOG_COMPILER) \
520 @AUTOMAKE_OLDER_THAN_1_13_TRUE@ $(NULL)
521
522 TESTS_LOG_COMPILER = sh $(srcdir)/run-tests.sh
523 all: all-am
524
525 .SUFFIXES:
526 .SUFFIXES: .log .tests .tests$(EXEEXT) .trs
527 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
528         @for dep in $?; do \
529           case '$(am__configure_deps)' in \
530             *$$dep*) \
531               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
532                 && { if test -f $@; then exit 0; else break; fi; }; \
533               exit 1;; \
534           esac; \
535         done; \
536         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits test/shaping/Makefile'; \
537         $(am__cd) $(top_srcdir) && \
538           $(AUTOMAKE) --gnits test/shaping/Makefile
539 .PRECIOUS: Makefile
540 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
541         @case '$?' in \
542           *config.status*) \
543             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
544           *) \
545             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
546             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
547         esac;
548
549 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
550         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
551
552 $(top_srcdir)/configure:  $(am__configure_deps)
553         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
554 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
555         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
556 $(am__aclocal_m4_deps):
557
558 mostlyclean-libtool:
559         -rm -f *.lo
560
561 clean-libtool:
562         -rm -rf .libs _libs
563 tags TAGS:
564
565 ctags CTAGS:
566
567 cscope cscopelist:
568
569
570 # Recover from deleted '.trs' file; this should ensure that
571 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
572 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
573 # to avoid problems with "make -n".
574 .log.trs:
575         rm -f $< $@
576         $(MAKE) $(AM_MAKEFLAGS) $<
577
578 # Leading 'am--fnord' is there to ensure the list of targets does not
579 # expand to empty, as could happen e.g. with make check TESTS=''.
580 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
581 am--force-recheck:
582         @:
583
584 $(TEST_SUITE_LOG): $(TEST_LOGS)
585         @$(am__set_TESTS_bases); \
586         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
587         redo_bases=`for i in $$bases; do \
588                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
589                     done`; \
590         if test -n "$$redo_bases"; then \
591           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
592           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
593           if $(am__make_dryrun); then :; else \
594             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
595           fi; \
596         fi; \
597         if test -n "$$am__remaking_logs"; then \
598           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
599                "recursion detected" >&2; \
600         else \
601           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
602         fi; \
603         if $(am__make_dryrun); then :; else \
604           st=0;  \
605           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
606           for i in $$redo_bases; do \
607             test -f $$i.trs && test -r $$i.trs \
608               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
609             test -f $$i.log && test -r $$i.log \
610               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
611           done; \
612           test $$st -eq 0 || exit 1; \
613         fi
614         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
615         ws='[   ]'; \
616         results=`for b in $$bases; do echo $$b.trs; done`; \
617         test -n "$$results" || results=/dev/null; \
618         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
619         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
620         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
621         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
622         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
623         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
624         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
625         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
626           success=true; \
627         else \
628           success=false; \
629         fi; \
630         br='==================='; br=$$br$$br$$br$$br; \
631         result_count () \
632         { \
633             if test x"$$1" = x"--maybe-color"; then \
634               maybe_colorize=yes; \
635             elif test x"$$1" = x"--no-color"; then \
636               maybe_colorize=no; \
637             else \
638               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
639             fi; \
640             shift; \
641             desc=$$1 count=$$2; \
642             if test $$maybe_colorize = yes && test $$count -gt 0; then \
643               color_start=$$3 color_end=$$std; \
644             else \
645               color_start= color_end=; \
646             fi; \
647             echo "$${color_start}# $$desc $$count$${color_end}"; \
648         }; \
649         create_testsuite_report () \
650         { \
651           result_count $$1 "TOTAL:" $$all   "$$brg"; \
652           result_count $$1 "PASS: " $$pass  "$$grn"; \
653           result_count $$1 "SKIP: " $$skip  "$$blu"; \
654           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
655           result_count $$1 "FAIL: " $$fail  "$$red"; \
656           result_count $$1 "XPASS:" $$xpass "$$red"; \
657           result_count $$1 "ERROR:" $$error "$$mgn"; \
658         }; \
659         {                                                               \
660           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
661             $(am__rst_title);                                           \
662           create_testsuite_report --no-color;                           \
663           echo;                                                         \
664           echo ".. contents:: :depth: 2";                               \
665           echo;                                                         \
666           for b in $$bases; do echo $$b; done                           \
667             | $(am__create_global_log);                                 \
668         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
669         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
670         if $$success; then                                              \
671           col="$$grn";                                                  \
672          else                                                           \
673           col="$$red";                                                  \
674           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
675         fi;                                                             \
676         echo "$${col}$$br$${std}";                                      \
677         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
678         echo "$${col}$$br$${std}";                                      \
679         create_testsuite_report --maybe-color;                          \
680         echo "$$col$$br$$std";                                          \
681         if $$success; then :; else                                      \
682           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
683           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
684             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
685           fi;                                                           \
686           echo "$$col$$br$$std";                                        \
687         fi;                                                             \
688         $$success || exit 1
689
690 check-TESTS:
691         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
692         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
693         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
694         @set +e; $(am__set_TESTS_bases); \
695         log_list=`for i in $$bases; do echo $$i.log; done`; \
696         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
697         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
698         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
699         exit $$?;
700 recheck: all 
701         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
702         @set +e; $(am__set_TESTS_bases); \
703         bases=`for i in $$bases; do echo $$i; done \
704                  | $(am__list_recheck_tests)` || exit 1; \
705         log_list=`for i in $$bases; do echo $$i.log; done`; \
706         log_list=`echo $$log_list`; \
707         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
708                 am__force_recheck=am--force-recheck \
709                 TEST_LOGS="$$log_list"; \
710         exit $$?
711 .tests.log:
712         @p='$<'; \
713         $(am__set_b); \
714         $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
715         --log-file $$b.log --trs-file $$b.trs \
716         $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
717         "$$tst" $(AM_TESTS_FD_REDIRECT)
718 @am__EXEEXT_TRUE@.tests$(EXEEXT).log:
719 @am__EXEEXT_TRUE@       @p='$<'; \
720 @am__EXEEXT_TRUE@       $(am__set_b); \
721 @am__EXEEXT_TRUE@       $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
722 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
723 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
724 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
725
726 distdir: $(DISTFILES)
727         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
728         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
729         list='$(DISTFILES)'; \
730           dist_files=`for file in $$list; do echo $$file; done | \
731           sed -e "s|^$$srcdirstrip/||;t" \
732               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
733         case $$dist_files in \
734           */*) $(MKDIR_P) `echo "$$dist_files" | \
735                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
736                            sort -u` ;; \
737         esac; \
738         for file in $$dist_files; do \
739           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
740           if test -d $$d/$$file; then \
741             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
742             if test -d "$(distdir)/$$file"; then \
743               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
744             fi; \
745             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
746               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
747               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
748             fi; \
749             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
750           else \
751             test -f "$(distdir)/$$file" \
752             || cp -p $$d/$$file "$(distdir)/$$file" \
753             || exit 1; \
754           fi; \
755         done
756 check-am: all-am
757         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
758 check: check-am
759 all-am: Makefile
760 installdirs:
761 install: install-am
762 install-exec: install-exec-am
763 install-data: install-data-am
764 uninstall: uninstall-am
765
766 install-am: all-am
767         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
768
769 installcheck: installcheck-am
770 install-strip:
771         if test -z '$(STRIP)'; then \
772           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
773             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
774               install; \
775         else \
776           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
777             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
778             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
779         fi
780 mostlyclean-generic:
781         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
782         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
783         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
784
785 clean-generic:
786         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
787
788 distclean-generic:
789         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
790         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
791         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
792
793 maintainer-clean-generic:
794         @echo "This command is intended for maintainers to use"
795         @echo "it deletes files that may require special tools to rebuild."
796         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
797 clean: clean-am
798
799 clean-am: clean-generic clean-libtool mostlyclean-am
800
801 distclean: distclean-am
802         -rm -f Makefile
803 distclean-am: clean-am distclean-generic
804
805 dvi: dvi-am
806
807 dvi-am:
808
809 html: html-am
810
811 html-am:
812
813 info: info-am
814
815 info-am:
816
817 install-data-am:
818
819 install-dvi: install-dvi-am
820
821 install-dvi-am:
822
823 install-exec-am:
824
825 install-html: install-html-am
826
827 install-html-am:
828
829 install-info: install-info-am
830
831 install-info-am:
832
833 install-man:
834
835 install-pdf: install-pdf-am
836
837 install-pdf-am:
838
839 install-ps: install-ps-am
840
841 install-ps-am:
842
843 installcheck-am:
844
845 maintainer-clean: maintainer-clean-am
846         -rm -f Makefile
847 maintainer-clean-am: distclean-am maintainer-clean-generic
848
849 mostlyclean: mostlyclean-am
850
851 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
852
853 pdf: pdf-am
854
855 pdf-am:
856
857 ps: ps-am
858
859 ps-am:
860
861 uninstall-am:
862
863 .MAKE: check-am install-am install-strip
864
865 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
866         clean-libtool cscopelist-am ctags-am distclean \
867         distclean-generic distclean-libtool distdir dvi dvi-am html \
868         html-am info info-am install install-am install-data \
869         install-data-am install-dvi install-dvi-am install-exec \
870         install-exec-am install-html install-html-am install-info \
871         install-info-am install-man install-pdf install-pdf-am \
872         install-ps install-ps-am install-strip installcheck \
873         installcheck-am installdirs maintainer-clean \
874         maintainer-clean-generic mostlyclean mostlyclean-generic \
875         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
876         uninstall uninstall-am
877
878
879 manifests:
880         @$(srcdir)/hb-manifest-update "$(srcdir)/texts" "$(srcdir)/fonts" "$(srcdir)/tests"
881
882 .PHONY: manifests
883
884 -include $(top_srcdir)/git.mk
885
886 # Tell versions [3.59,3.63) of GNU make to not export all variables.
887 # Otherwise a system limit (for SysV at least) may be exceeded.
888 .NOEXPORT: